package com.ruoyi.ss.mchApply.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2024/4/29
 */
@Data
public class MchApplyBO extends MchApply {

    @ApiModelProperty("验证码")
    private String verificationCode;

    /**
     * 过滤APP创建字段
     * @return
     */
    public MchApplyBO filterCreateByApp() {
        MchApplyBO bo = new MchApplyBO();
        bo.setUserId(getUserId());
        bo.setName(getName());
        bo.setMobile(getMobile());
        bo.setContent(getContent());
        return bo;
    }

}
